precision mediump float;
varying lowp vec4 DestinationColor;
varying mediump vec2 TextureCoordOut;

uniform sampler2D Sampler;

varying vec3 varNormals;

varying vec3 v_LightVector;
varying vec3 v_CameraVector;

void main(void)
{	
	gl_FragColor = texture2D(Sampler, TextureCoordOut) * DestinationColor;
	
	/*	vec4 color = DestinationColor;
		const float ATMOSPHERE_MULT = 1.8;
	    const float SEA_MULT = 2.0;
	    const float NIGHT_DIFFUSE = 0.3;
	    const float HALFVEC_MULT = 0.65;
	    const float HALFVEC_POW = 50.0;
	    const float ADD_LIGHT = 0.25;

        vec3 normal = normalize(varNormals);
        vec3 camera = normalize(v_CameraVector);
        vec3 light = normalize(v_LightVector);

		float diffuse = clamp(dot(light, normal) + ADD_LIGHT, 0.0, 1.0);

		vec3 halfVector = normalize(light + camera);

        float halfVectorBase = max(dot(halfVector, normal), 0.0);
		float halfVectorMult = pow(halfVectorBase, HALFVEC_POW);

        float cameraDot = clamp(dot(camera, normal),0.0, 1.0);

        vec4 diffuseTexture = texture2D(Sampler, TextureCoordOut);
        vec4 specularTexture = vec4(0.8, 0.8, 0.8, 1.0);//texture2D(u_tex1, varTexCoords);

        vec4 seaMult = (SEA_MULT - SEA_MULT * cameraDot) * specularTexture * diffuse;

		vec4 diffuseColor =  diffuseTexture * diffuse - seaMult;
		vec4 specularColor = specularTexture * halfVectorMult * HALFVEC_MULT;

		vec4 nightColor = vec4(0.0,0.0,0.0,0.0);


		vec4 resultingColor = diffuseColor + specularColor + nightColor;
		gl_FragColor = resultingColor;//texture2D(Sampler, TextureCoordOut) * DestinationColor; */
}

