attribute vec4 Position;
attribute vec2 TextureCoord;

varying vec2 vTextureCoord;

uniform mat4 Projection;
uniform mat4 Modelview;
uniform mat4 TexMatrix;

void main(void)
{
    vec4 texcoord = vec4(TextureCoord, 0, 0) * TexMatrix;
    vTextureCoord = TextureCoord;//vec2(texcoord.x, texcoord.y);
    
    gl_Position = Projection * Modelview * Position;
}